define("pBWOFExoticFarEastTutorialApi", ["componentmodelComponentApi", "gameLayoutApi", "clientkernelEventbusApi"],
    function(componentmodelComponentApi, gameLayoutApi, clientkernelEventbusApi) {
        "use strict";

        function $iterator(o) {
            if (o instanceof Array) return function() {
                return {
                    cur: 0,
                    arr: o,
                    hasNext: function() {
                        return this.cur < this.arr.length;
                    },
                    next: function() {
                        return this.arr[this.cur++];
                    }
                };
            };
            return typeof(o.iterator) == 'function' ? $bind(o, o.iterator) : o.iterator;
        };;
        var $fid = 0;

        function $bind(o, m) {
            if (m == null) return null;
            if (m.__id__ == null) m.__id__ = $fid++;
            var f;
            if (o.hx__closures__ == null) o.hx__closures__ = {};
            else f = o.hx__closures__[m.__id__];
            if (f == null) {
                f = function() {
                    return f.method.apply(f.scope, arguments);
                };
                f.scope = o;
                f.method = m;
                o.hx__closures__[m.__id__] = f;
            }
            return f;
        };
        var $_;
        var $estr = function() {
            return _hcmn_.js_Boot.__string_rec(this, '');
        };
        if (typeof pBWOFExoticFarEastTutorialApi == 'undefined') {
            var pBWOFExoticFarEastTutorialApi = {};
        };
        pBWOFExoticFarEastTutorialApi.TutorialDeclaration = function() {};
        pBWOFExoticFarEastTutorialApi.TutorialDeclaration = ck_implements(pBWOFExoticFarEastTutorialApi.TutorialDeclaration, componentmodelComponentApi.IComponentDeclaration);
        pBWOFExoticFarEastTutorialApi.TutorialDeclaration.__interfaces__ = [componentmodelComponentApi.IComponentDeclaration];
        pBWOFExoticFarEastTutorialApi.TutorialDeclaration.__name__ = ["pBWOFExoticFarEastTutorialApi", "TutorialDeclaration"];
        pBWOFExoticFarEastTutorialApi.TutorialDeclaration.prototype.getChildComponents = function() {
            return null;
        };
        pBWOFExoticFarEastTutorialApi.TutorialDeclaration.prototype.getReferredComponents = function() {
            return null;
        };
        pBWOFExoticFarEastTutorialApi.TutorialDeclaration.prototype.getImplementedPorts = function() {
            return [pBWOFExoticFarEastTutorialApi.ITutorialImplementationPort];
        };
        pBWOFExoticFarEastTutorialApi.TutorialDeclaration.prototype.getUsedPorts = function() {
            return [pBWOFExoticFarEastTutorialApi.ITutorialPort, gameLayoutApi.IGameLayoutPort];
        };
        pBWOFExoticFarEastTutorialApi.TutorialDeclaration.prototype.__class__ = pBWOFExoticFarEastTutorialApi.TutorialDeclaration;

        pBWOFExoticFarEastTutorialApi.ITutorialImplementationPort = function() {}
        pBWOFExoticFarEastTutorialApi.ITutorialImplementationPort.prototype = {

            getShow: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getHide: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getConfirmed: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getClosed: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getCurrentPage: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            setNextPage: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            setPreviousPage: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            }
        };

        pBWOFExoticFarEastTutorialApi.ITutorialPort = function() {}
        pBWOFExoticFarEastTutorialApi.ITutorialPort.prototype = {

            getShow: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getHide: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getConfirmed: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getClosed: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getCurrentPage: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            setNextPage: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            setPreviousPage: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            }
        };
        pBWOFExoticFarEastTutorialApi.TutorialPort = function(bus) {
            this.previousPage = new clientkernelEventbusApi.Topic("tutorial:previousPage");
            this.nextPage = new clientkernelEventbusApi.Topic("tutorial:nextPage");
            this.currentPage = new clientkernelEventbusApi.Topic("tutorial:currentPage");
            this.closed = new clientkernelEventbusApi.Topic("tutorial:closed");
            this.confirmed = new clientkernelEventbusApi.Topic("tutorial:confirmed");
            this.hide = new clientkernelEventbusApi.Topic("tutorial:hide");
            this.show = new clientkernelEventbusApi.Topic("tutorial:show");
            this.show.connect(bus);
            this.hide.connect(bus);
            this.confirmed.connect(bus);
            this.closed.connect(bus);
            this.currentPage.connect(bus);
            this.nextPage.connect(bus);
            this.previousPage.connect(bus);
        };
        pBWOFExoticFarEastTutorialApi.TutorialPort = ck_implements(pBWOFExoticFarEastTutorialApi.TutorialPort, pBWOFExoticFarEastTutorialApi.ITutorialPort);
        pBWOFExoticFarEastTutorialApi.TutorialPort = ck_implements(pBWOFExoticFarEastTutorialApi.TutorialPort, pBWOFExoticFarEastTutorialApi.ITutorialImplementationPort);
        pBWOFExoticFarEastTutorialApi.TutorialPort.__interfaces__ = [pBWOFExoticFarEastTutorialApi.ITutorialPort, pBWOFExoticFarEastTutorialApi.ITutorialImplementationPort];
        pBWOFExoticFarEastTutorialApi.TutorialPort.__name__ = ["pBWOFExoticFarEastTutorialApi", "TutorialPort"];
        pBWOFExoticFarEastTutorialApi.TutorialPort.prototype.show = null;
        pBWOFExoticFarEastTutorialApi.TutorialPort.prototype.hide = null;
        pBWOFExoticFarEastTutorialApi.TutorialPort.prototype.confirmed = null;
        pBWOFExoticFarEastTutorialApi.TutorialPort.prototype.closed = null;
        pBWOFExoticFarEastTutorialApi.TutorialPort.prototype.currentPage = null;
        pBWOFExoticFarEastTutorialApi.TutorialPort.prototype.nextPage = null;
        pBWOFExoticFarEastTutorialApi.TutorialPort.prototype.previousPage = null;
        pBWOFExoticFarEastTutorialApi.TutorialPort.prototype.getShow = function() {
            return this.show;
        };
        pBWOFExoticFarEastTutorialApi.TutorialPort.prototype.getHide = function() {
            return this.hide;
        };
        pBWOFExoticFarEastTutorialApi.TutorialPort.prototype.getConfirmed = function() {
            return this.confirmed;
        };
        pBWOFExoticFarEastTutorialApi.TutorialPort.prototype.getClosed = function() {
            return this.closed;
        };
        pBWOFExoticFarEastTutorialApi.TutorialPort.prototype.getCurrentPage = function() {
            return this.currentPage;
        };
        pBWOFExoticFarEastTutorialApi.TutorialPort.prototype.setNextPage = function() {
            return this.nextPage;
        };
        pBWOFExoticFarEastTutorialApi.TutorialPort.prototype.setPreviousPage = function() {
            return this.previousPage;
        };
        pBWOFExoticFarEastTutorialApi.TutorialPort.prototype.__class__ = pBWOFExoticFarEastTutorialApi.TutorialPort;
        pBWOFExoticFarEastTutorialApi.TutorialPortFactory = function() {};
        pBWOFExoticFarEastTutorialApi.TutorialPortFactory = ck_implements(pBWOFExoticFarEastTutorialApi.TutorialPortFactory, componentmodelComponentApi.IPortFactory);
        pBWOFExoticFarEastTutorialApi.TutorialPortFactory.__interfaces__ = [componentmodelComponentApi.IPortFactory];
        pBWOFExoticFarEastTutorialApi.TutorialPortFactory.__name__ = ["pBWOFExoticFarEastTutorialApi", "TutorialPortFactory"];
        pBWOFExoticFarEastTutorialApi.TutorialPortFactory.prototype.provide = function(channel) {
            return new pBWOFExoticFarEastTutorialApi.TutorialPort(channel);
        };
        pBWOFExoticFarEastTutorialApi.TutorialPortFactory.prototype["use"] = function(channel) {
            return new pBWOFExoticFarEastTutorialApi.TutorialPort(channel);
        };
        pBWOFExoticFarEastTutorialApi.TutorialPortFactory.prototype.__class__ = pBWOFExoticFarEastTutorialApi.TutorialPortFactory;
        pBWOFExoticFarEastTutorialApi.ShowTutorialPayload = function(progressiveMinTotalBet, layer) {
            this.progressiveMinTotalBet = progressiveMinTotalBet;
            this.layer = layer;
        };
        pBWOFExoticFarEastTutorialApi.ShowTutorialPayload.__name__ = ["pBWOFExoticFarEastTutorialApi", "ShowTutorialPayload"];
        pBWOFExoticFarEastTutorialApi.ShowTutorialPayload.prototype.progressiveMinTotalBet = null;
        pBWOFExoticFarEastTutorialApi.ShowTutorialPayload.prototype.layer = null;
        pBWOFExoticFarEastTutorialApi.ShowTutorialPayload.prototype.__class__ = pBWOFExoticFarEastTutorialApi.ShowTutorialPayload;
        pBWOFExoticFarEastTutorialApi.TutorialLayerEnum = {
            __ename__: ["pBWOFExoticFarEastTutorialApi", "TutorialLayerEnum"],
            __constructs__: ["TUTORIAL_VIEW"]
        };
        pBWOFExoticFarEastTutorialApi.TutorialLayerEnum.TUTORIAL_VIEW = ["TUTORIAL_VIEW", 0];
        pBWOFExoticFarEastTutorialApi.TutorialLayerEnum.TUTORIAL_VIEW.toString = $estr;
        pBWOFExoticFarEastTutorialApi.TutorialLayerEnum.TUTORIAL_VIEW.__enum__ = pBWOFExoticFarEastTutorialApi.TutorialLayerEnum;
        if (typeof haxe == 'undefined') {
            var haxe = {};
        };

        haxe.IMap = function() {}
        haxe.IMap.prototype = {

        };
        return {
            exports: pBWOFExoticFarEastTutorialApi
        };
    });
//# sourceURL=pbWofExoticFarEastTutorialApi.js